### Method

# Gtk Widget translate_coordinates

deprecated: 4.12

#### Declaration [src]

    gboolean
    gtk_widget_translate_coordinates (
      GtkWidget* src_widget,
      GtkWidget* dest_widget,
      double src_x,
      double src_y,
      double* dest_x,
      double* dest_y
    )

#### Description [src]

Translate coordinates relative to `src_widget`’s allocation to coordinates relative to `dest_widget`’s allocations.

In order to perform this operation, both widget must share a common ancestor.

Deprecated since: 4.12

Use `gtk_widget_compute_point()` instead.

#### Parameters

`dest_widget`

  Type: `GtkWidget`

  A `GtkWidget`.

  The data is owned by the caller of the method.

`src_x`

  Type: `double`

  X position relative to `src_widget`.

`src_y`

  Type: `double`

  Y position relative to `src_widget`.

`dest_x`

  Type: `double*`

  Location to store X position relative to `dest_widget`.

  The argument will be set by the function.
  The argument can be `NULL`.

`dest_y`

  Type: `double*`

  Location to store Y position relative to `dest_widget`.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gboolean`

`FALSE` if `src_widget` and `dest_widget` have no common ancestor. In this case, 0 is stored in `dest_x` and `dest_y`. Otherwise `TRUE`.